Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::join_bind_fn Struct Reference
Inheritance diagram for ranges::views::join_bind_fn:

## Public Member Functions
template<typename T >
constexpr auto | operator() (T &&t) const
template<typename T >
constexpr auto | operator() (T &t) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename T >

constexpr auto ranges::views::join_bind_fn::operator() | ( | T && | t | ) | const
| constexpr

Precondition
  requires `(!joinable_range<T>)` // TODO: underconstrained

References ranges::aux::move.

## ◆ operator()() [2/2]

template<typename T >

constexpr auto ranges::views::join_bind_fn::operator() | ( | T & | t | ) | const
| constexpr

Precondition
  requires `(!joinable_range<T &>) && range<T &>`